Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.axeda.esrs.portal.callback
Class DefaultGASConfigurationCallbackHandler

    java.lang.Object
      com.axeda.esrs.portal.callback.DefaultGASConfigurationCallbackHandler

All Implemented Interfaces:
  AxedaCallbackHandler

    public class DefaultGASConfigurationCallbackHandler

extends java.lang.Object
implements AxedaCallbackHandler

Created By: kholbrook Date: Oct 22, 2009 Time: 10:11:26 AM This class is property of Axeda Corporation

Constructor Summary
`DefaultGASConfigurationCallbackHandler()`

Method Summary
`java.lang.String` | `getCallbackhandlerName()` Get the name of the callback handler
`void` | `handle(AxedaCallback callback)` Handle the passed in AxedaCallback object The options array should be EMPTY for this request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGASConfigurationCallbackHandler

    public DefaultGASConfigurationCallbackHandler()

Method Detail

### handle

    public void handle(AxedaCallback callback)

  Handle the passed in AxedaCallback object The options array should be EMPTY for this request. This is just a mechanism to allow the configuration data available in the ESRS custom app to be passed to the Axeda customizations. The responses are 2 configuration options related to the GAS server: [0] - "true" if the GAS servers will be reached via HTTPS, or "false" if they will be reached via http [1] - "internal" if the GAS hostnames being sent to the agent are internal, "external" if the GAS hostnames are external (ext-hostname)

  Specified by:
    `handle` in interface `AxedaCallbackHandler`
  Parameters:
    `callback` - The AxedaCallback object being passed in for processing

### getCallbackhandlerName

    public java.lang.String getCallbackhandlerName()

  Get the name of the callback handler

  Specified by:
    `getCallbackhandlerName` in interface `AxedaCallbackHandler`
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD